petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoLineSearchIsUsingTaoRoutines

Checks whether the line search is using Tao evaluation routines.

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchIsUsingTaoRoutines(TaoLineSearch ls, PetscBool *flg)

Not Collective Many br

### Input Parameter

ls -the TaoLineSearch context Many br

### Output Parameter

flg -PETSC_TRUE if the line search is using Tao evaluation routines, Many brotherwise PETSC_FALSE Many br

Many br

Level:developer
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages